package com.mortals.xhx.module.one.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.one.model.vo.OneClassifyVo;
/**
* 分类引导实体对象
*
* @author zxfei
* @date 2021-11-16
*/

public class OneClassifyEntity extends OneClassifyVo {
    private static final long serialVersionUID = 1L;

    /**
    * 分类名称
    */
    private String classifyName;
    /**
    * 分类引导提问
    */
    private String tName;
    /**
    * 分类级别
    */
    private Long classifyLevel;
    /**
    * 业务ID
    */
    private String businessId;
    /**
    * 事项ID
    */
    private String matterIds;
    /**
    * 父级ID
    */
    private Long parentId;
    /**
    * 分类备注
    */
    private String sortRemarks;
    /**
    * 是否问题，0问题，1是答案 默认0
    */
    private Integer isAns;
    /**
    * 是否叶子节点，0否，1是 默认0
    */
    private Integer isLeaf;
    /**
    * 是否删除
    */
    private Integer deleted;
    /**
    * 创建人名称
    */
    private String createUserName;
    /**
    * 修改人名称
    */
    private String updateUserName;



    public OneClassifyEntity(){}
    /**
    * 获取 分类名称
    * @return String
    */
    public String getClassifyName(){
        return classifyName;
    }
    /**
    * 设置 分类名称
    * @param classifyName
    */
    public void setClassifyName(String classifyName){
        this.classifyName = classifyName;
    }
    /**
    * 获取 分类引导提问
    * @return String
    */
    public String getTName(){
        return tName;
    }
    /**
    * 设置 分类引导提问
    * @param tName
    */
    public void setTName(String tName){
        this.tName = tName;
    }
    /**
    * 获取 分类级别
    * @return Long
    */
    public Long getClassifyLevel(){
        return classifyLevel;
    }
    /**
    * 设置 分类级别
    * @param classifyLevel
    */
    public void setClassifyLevel(Long classifyLevel){
        this.classifyLevel = classifyLevel;
    }
    /**
    * 获取 业务ID
    * @return String
    */
    public String getBusinessId(){
        return businessId;
    }
    /**
    * 设置 业务ID
    * @param businessId
    */
    public void setBusinessId(String businessId){
        this.businessId = businessId;
    }
    /**
    * 获取 事项ID
    * @return String
    */
    public String getMatterIds(){
        return matterIds;
    }
    /**
    * 设置 事项ID
    * @param matterIds
    */
    public void setMatterIds(String matterIds){
        this.matterIds = matterIds;
    }
    /**
    * 获取 父级ID
    * @return Long
    */
    public Long getParentId(){
        return parentId;
    }
    /**
    * 设置 父级ID
    * @param parentId
    */
    public void setParentId(Long parentId){
        this.parentId = parentId;
    }
    /**
    * 获取 分类备注
    * @return String
    */
    public String getSortRemarks(){
        return sortRemarks;
    }
    /**
    * 设置 分类备注
    * @param sortRemarks
    */
    public void setSortRemarks(String sortRemarks){
        this.sortRemarks = sortRemarks;
    }
    /**
    * 获取 是否问题，0问题，1是答案 默认0
    * @return Integer
    */
    public Integer getIsAns(){
        return isAns;
    }
    /**
    * 设置 是否问题，0问题，1是答案 默认0
    * @param isAns
    */
    public void setIsAns(Integer isAns){
        this.isAns = isAns;
    }
    /**
    * 获取 是否叶子节点，0否，1是 默认0
    * @return Integer
    */
    public Integer getIsLeaf(){
        return isLeaf;
    }
    /**
    * 设置 是否叶子节点，0否，1是 默认0
    * @param isLeaf
    */
    public void setIsLeaf(Integer isLeaf){
        this.isLeaf = isLeaf;
    }
    /**
    * 获取 是否删除
    * @return Integer
    */
    public Integer getDeleted(){
        return deleted;
    }
    /**
    * 设置 是否删除
    * @param deleted
    */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }
    /**
    * 获取 创建人名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建人名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }
    /**
    * 获取 修改人名称
    * @return String
    */
    public String getUpdateUserName(){
        return updateUserName;
    }
    /**
    * 设置 修改人名称
    * @param updateUserName
    */
    public void setUpdateUserName(String updateUserName){
        this.updateUserName = updateUserName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof OneClassifyEntity) {
            OneClassifyEntity tmp = (OneClassifyEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",classifyName:").append(getClassifyName());
        sb.append(",tName:").append(getTName());
        sb.append(",classifyLevel:").append(getClassifyLevel());
        sb.append(",businessId:").append(getBusinessId());
        sb.append(",matterIds:").append(getMatterIds());
        sb.append(",parentId:").append(getParentId());
        sb.append(",sortRemarks:").append(getSortRemarks());
        sb.append(",isAns:").append(getIsAns());
        sb.append(",isLeaf:").append(getIsLeaf());
        sb.append(",deleted:").append(getDeleted());
        sb.append(",createUserName:").append(getCreateUserName());
        sb.append(",updateUserName:").append(getUpdateUserName());
        return sb.toString();
    }

    public void initAttrValue(){
            this.classifyName = null;
            this.tName = null;
            this.classifyLevel = null;
            this.businessId = null;
            this.matterIds = "";
            this.parentId = null;
            this.sortRemarks = null;
            this.isAns = 0;
            this.isLeaf = 0;
            this.deleted = 0;
            this.createUserName = null;
            this.updateUserName = null;
    }
}